#ifndef HELICO_H_INCLUDED
#define HELICO_H_INCLUDED

/*Description:
Ennemi standard: un petit helicopter qui se deplace à l'horizontal.
*/

#include <iostream>
#include <SDL/SDL.h>
#include "Ennemy.h"
#include "takeRand.h"

class Helico : public Ennemy
{
    public:
    Helico(SDL_Surface* ecran);//Constructeur standard
    Helico(SDL_Surface* ecran,int vie);//Constructeur vital
    Helico(SDL_Surface* ecran,int vie,int antiLatence);//Constructeur de chaîne
    ~Helico();
    void afficher();

    private:
    SDL_Surface* m_helico;
    SDL_Rect m_positionHelico;
    int m_vitesse;
};

class BossOne : public Ennemy
{
    public:
    BossOne(SDL_Surface* ecran,Joueur* cible);
    ~BossOne();
    void afficher();

    private:
    SDL_Surface* m_bossOne;
    SDL_Surface* m_tir;
    SDL_Rect m_positionBoss;
    bool m_vaVersLeBas;
    bool m_vaVersLaDroite;
    int m_armeCycle;
};

#endif // HELICO_H_INCLUDED
